Frobby::Ideal Class Reference

`#include <frobby.h>`

## Public Member Functions

| Ideal (size_t variableCount)
| Ideal (const Ideal &ideal)
| ~Ideal ()
Ideal & | operator= (const Ideal &ideal)
void | addExponent (const mpz_t exponent)
| Call addExponent once for each variable to add a term one exponent at a time.
void | addExponent (int exponent)
void | addExponent (unsigned int exponent)

## Private Attributes

FrobbyImpl::FrobbyIdealHelper * | _data

## Friends

class | FrobbyImpl::FrobbyIdealHelper

## Detailed Description

Definition at line 35 of file frobby.h.

## Constructor & Destructor Documentation

## Ideal() [1/2]

Ideal::Ideal | ( | size_t | variableCount | ) |

Definition at line 201 of file frobby.cpp.

## Ideal() [2/2]

Ideal::Ideal | ( | const Ideal & | ideal | ) |

Definition at line 205 of file frobby.cpp.

## ~Ideal()

Ideal::~Ideal | ( |  | ) |

Definition at line 209 of file frobby.cpp.

## Member Function Documentation

## addExponent() [1/3]

void Ideal::addExponent | ( | const mpz_t | exponent | ) |

Call addExponent once for each variable to add a term one exponent at a time.

This object keeps track of how many times you called addExponent to know which variable is to be raised to the passed-in exponent. Frobby does not alter the passed-in exponent and retains no reference to it. The exponent must be non-negative. It is allowed to mix the different overloads even within the same term.

If the number of variables is zero, then a call to addExponent adds the element 1 as a generator. In that case it makes no difference what the value of exponent is.

Definition at line 225 of file frobby.cpp.

## addExponent() [2/3]

void Ideal::addExponent | ( | int | exponent | ) |

Definition at line 240 of file frobby.cpp.

## addExponent() [3/3]

void Ideal::addExponent | ( | unsigned int | exponent | ) |

Definition at line 245 of file frobby.cpp.

## operator=()

Frobby::Ideal & Ideal::operator= | ( | const Ideal & | ideal | ) |

Definition at line 213 of file frobby.cpp.

## Friends And Related Symbol Documentation

## FrobbyImpl::FrobbyIdealHelper

friend class FrobbyImpl::FrobbyIdealHelper

friend

Definition at line 61 of file frobby.h.

## Member Data Documentation

## _data

FrobbyImpl::FrobbyIdealHelper* Frobby::Ideal::_data

private

Definition at line 62 of file frobby.h.

The documentation for this class was generated from the following files:

- src/frobby.h
- src/frobby.cpp